sunrise_0460.jpg=Sunrise behind Mt Hood.
sunset at Dome 10-04.jpg=Sunset over Vancouver and Battleground
012.jpg=Mt Hood
P1010916.jpg=Sunset behind Mt Hood
P1010391.jpg=A nice rainbow
P1010915.jpg=Sunset behind Mt Hood
1-05 sunrise.jpg=Shadow of Mt Hood on the sky. (Picture taken by Tim Kredlo)
P1010913.jpg=Sunset behind Mt Hood
1-05 Sunrise from Dome.jpg=Shadow of Mt Hood on the sky. (Picture taken by Tim Kredlo)
P1010390.jpg=Mt Hood and the Columbia River Gorge
P1010389.jpg=Mt Hood and the Columbia River Gorge
015.jpg=Mt Hood.in the spring.
sunrise_med0005.jpg=Sunrise behind Mt Hood.
014.jpg=Mt Hood.in the spring.
p1000765.jpg=Sunset over Vancouver and Battleground
P1010914.jpg=Sunset behind Mt Hood
sunrise from Dome 1-05.jpg=Shadow of Mt Hood on the sky. (Picture taken by Tim Kredlo)
willItem_0460.jpg=Sunset behind Mt Hood
sunrise_med0001.jpg=Sunrise behind Mt Hood.
009.jpg=Mt Hood
